package com.bjtdba.entity.userCenter;

import com.bjtdba.utils.DateUtils;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户步数表(UserClockes)实体类
 *
 * @author makejava
 * @since 2022-11-11 10:08:11
 */
public class UserClockes implements Serializable {
    private static final long serialVersionUID = 368353996517156133L;
    
    private Integer id;
    /**
     * 用户id
     */
    private Integer uid;
    /**
     * 添加时间
     */
    private Date addtime;
    /**
     * 步数
     */
    private Integer num;
    /**
     * 连续签到天数
     */
    @JsonIgnore
    private Integer continuityDay;
    /**
     * 签到时间
     */
    private Date signinTime;
    /**
     * 每周第几天
     */
    private Integer cycleNum;

    @JsonInclude(JsonInclude.Include.NON_DEFAULT)
    private String cycle_numDesc;
    @JsonInclude(JsonInclude.Include.NON_DEFAULT)
    private String benzhou;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getAddtime() {
        if(addtime!=null){
            return DateUtils.dateToStr(addtime);
        }
        return null;
    }

    public void setAddtime(Date addtime) {
        this.addtime = addtime;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getContinuityDay() {
        return continuityDay;
    }

    public void setContinuityDay(Integer continuityDay) {
        this.continuityDay = continuityDay;
    }

    public String getSigninTime() {

        if(signinTime!=null){
            return DateUtils.dateToStrLong(signinTime);
        }
        return null;
    }

    public void setSigninTime(Date signinTime) {
        this.signinTime = signinTime;
    }

    public Integer getCycleNum() {
        return cycleNum;
    }

    public void setCycleNum(Integer cycleNum) {
        this.cycleNum = cycleNum;
    }

    public String getCycle_numDesc() {
        return cycle_numDesc;
    }

    public void setCycle_numDesc(String cycle_numDesc) {
        this.cycle_numDesc = cycle_numDesc;
    }

    public String getBenzhou() {
        return benzhou;
    }

    public void setBenzhou(String benzhou) {
        this.benzhou = benzhou;
    }
}

